package org.nl.acs.ext.wms;

import com.alibaba.fastjson.JSONObject;
import org.nl.acs.ext.wms.liKuData.Resp;

/**
 * @author: geng by
 * @createDate: 2022/11/24
 */
public class RespUtil {
    public static <T> Resp getResp(String result, T t) {
        JSONObject jsonObject = JSONObject.parseObject(result);
        Resp<T> resp = new Resp<>();
        resp.setData(t);
        resp = JSONObject.toJavaObject(jsonObject, Resp.class);
        return resp;
    }
}
